System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.WebControl System.Web.UI.IEditableTextControl System.Web.UI.IPostBackDataHandler System.Web.UI.SupportsEventValidation System.Web.UI.ControlValueProperty("Text", null) System.Web.UI.ParseChildren(true, "Text") System.ComponentModel.Designer("System.Web.UI.Design.WebControls.PreviewControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.Web.UI.ControlBuilder(typeof(System.Web.UI.WebControls.TextBoxControlBuilder)) System.Web.UI.ValidationProperty("Text") System.ComponentModel.DefaultProperty("Text") System.ComponentModel.DefaultEvent("TextChanged") System.Web.UI.DataBindingHandler("System.Web.UI.Design.TextDataBindingHandler, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") To be added To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Web.UI.Themeable(false)
  System.ComponentModel.DefaultValue(System.Web.UI.WebControls.AutoCompleteType.None)
  System.Web.UI.WebControls.AutoCompleteType To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(false)
- Property
  2.0.0.0
  System.Web.UI.Themeable(false)
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(0)
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(0)
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(false) System.ComponentModel.Bindable(true)
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(0)
- Method
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.Web.UI.HtmlTextWriterTag To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Editor("System.ComponentModel.Design.MultilineStringEditor,System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.Localizable(true) System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.EncodedInnerDefaultProperty) System.ComponentModel.DefaultValue("") System.ComponentModel.Bindable(true, System.ComponentModel.BindingDirection.TwoWay)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.TextBoxMode To be added To be added: an object of type 'TextBoxMode' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(System.Web.UI.WebControls.TextBoxMode.SingleLine)
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue("")
  System.Web.UI.Themeable(false)
  System.String To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)